Install Discourse on Synology directly

unsupported-install

(Christian Grasser) #1

Does anymore know if it is possible to install Discourse on my Synology NAS?
I have tried the Package Manager Discourse Install but this is very old (version 1.2.1).

So I want to install it manual via “discourse-setup”. Is this possible on a Synology NAS with docker support?


(Bart) #2

Can’t you install the old version and just upgrade it?


(Stephen) #3

No, we’ve had a number of support threads here on the topic. The existing Synology package is ancient and has a number of configuration pains, the maintainer appears to have abandoned it, to all intents and purposes it’s a dead-end.

It’s certainly possible to install, but whether that install is supportable is the better question. The currently supported install method definitely doesn’t work as-is.


(Christian Grasser) #4

As far as I have found it is a package made from Synology and can’t be upgraded.
And Synology haven’t upgraded this since 2 years :frowning:


(Christian Grasser) #5

OK thanks.

Is it possible to install it manual via the official discourse docker image?


(Stephen) #6

As I said above the supported install doesn’t work as-is. It’s not something we can help to bodge here because it creates support problems down the line.

Anyone who comes up with an install or package inherits the support responsibility in the process.


(Christian Grasser) #7

OK I understand. Thanks for the infos.


(Jeff Atwood) #8

I honestly do not get the obsession with spraying random software all over your “network attached storage” device.


(Christian Grasser) #9

Simple because it is not only a “network attached storage” device :wink:
I run my Mail Server, Websites and so on all on the Synology NAS.